Copy data from file into table

- « PDO::pgsqlCopyFromArray

- PDO::pgsqlCopyToArray »

- PHP Manual
- PostgreSQL (PDO)
- Copy data from file into table

# PDO::pgsqlCopyFromFile

(PHP 5 >= 5.3.3, PHP 7, PHP 8)

PDO::pgsqlCopyFromFile — Copy data from file into table

### Description

public PDO::pgsqlCopyFromFile(
string `$table_name`,
string `$filename`,
string `$delimiter` = "\t",
string `$null_as` = "\\\\N",
string `$fields` = ?
): bool

Copies data from file specified by `filename` into table `table_name` using `delimiter` as fields delimiter and `fields` list

### Parameters

`table_name`

  String containing table name

`filename`

  Filename containing data to import

`delimiter`

  Delimiter used in file specified by `filename`

`null_as`

  How to interpret null values

`fields`

  List of fields to insert

### Return Values

Returns `true` on success, or `false` on failure.